<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location:../../index.php"); exit; }

if (!file_exists(INFUSIONS."ip_poll_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ip_poll_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ip_poll_panel/locale/English.php";
}

// Infusion Information
$inf_title = "IP Polls";
$inf_description = "An IP based poll system.";
$inf_version = "1.14";
$inf_developer = "Digitanium";
$inf_email = "digitanium@php-fusion.co.uk";
$inf_weburl = "http://www.php-fusion.co.uk";

// Infusion Paths
$inf_folder = "ip_poll_panel";
$inf_admin_image = "infusion_panel.gif";
$inf_admin_panel = "ip_poll_admin.php";
$inf_link_name = "";
$inf_link_url = "";
$inf_link_visibility = "";

$inf_newtables = 1;
$inf_insertdbrows = 0;
$inf_altertables = 0;
$inf_deldbrows = 0;

// Database Table information : Create database tables.
$inf_newtable_[1] = "ip_polls (
		poll_id smallint(5) unsigned NOT NULL auto_increment,
		poll_title varchar(200) NOT NULL default '',
		poll_opt_0 varchar(200) NOT NULL default '',
		poll_opt_1 varchar(200) NOT NULL default '',
		poll_opt_2 varchar(200) NOT NULL default '',
		poll_opt_3 varchar(200) NOT NULL default '',
		poll_opt_4 varchar(200) NOT NULL default '',
		poll_opt_5 varchar(200) NOT NULL default '',
		poll_opt_6 varchar(200) NOT NULL default '',
		poll_opt_7 varchar(200) NOT NULL default '',
		poll_opt_8 varchar(200) NOT NULL default '',
		poll_opt_9 varchar(200) NOT NULL default '',
		poll_votes_0 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_1 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_2 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_3 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_4 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_5 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_6 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_7 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_8 smallint(5) unsigned NOT NULL NULL default '0',
		poll_votes_9 smallint(5) unsigned NOT NULL NULL default '0',
		poll_ips text NOT NULL default '',
		poll_started int(10) unsigned NOT NULL default '',
		poll_ended int(10) unsigned NOT NULL default '0',
		PRIMARY KEY (poll_id)
	) TYPE=MyISAM;";
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable_[1] = "ip_polls";
?>